This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 788763 - Transactional improvement for invm resources
Transactional improvement for invm resources
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.3.0 GA
Unspecified Unspecified
medium Severity medium
: ER4
: 5.3.0 GA
Assigned To: Kevin Conner
Martin Vecera
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-08 18:36 EST by kconner
Modified: 2015-03-12 07:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3743 Major Closed Transactional improvement for invm resources 2014-01-13 10:46:02 EST

  None (edit)
Description kconner 2012-02-08 18:36:09 EST
Description of problem:

Current implementation associates an XAResource with each invm operation within a transaction rather than grouping them under one resource.

New version of the code can be found as a patch attached to JBESB-3743
Comment 1 JBoss JIRA Server 2012-05-30 13:41:09 EDT
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3743 to Resolved
Comment 2 JBoss JIRA Server 2012-05-30 13:41:09 EDT
Tom Cunningham <tcunning@redhat.com> made a comment on jira JBESB-3743

Committed Kevin's patch.
Comment 3 JBoss JIRA Server 2012-05-30 13:41:15 EDT
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3743 to Closed
Comment 4 tcunning 2012-05-30 13:45:54 EDT
Committed Kevin's patch.
Comment 5 Suz 2012-06-12 22:47:54 EDT
I have set the technical note field to negative as this appears to have been detected and fixed in the same version, so users will not have seen it.
Comment 6 Robert Balent 2012-07-03 10:15:13 EDT
Verified in SOA-P 5.3 ER4.

Note You need to log in before you can comment on or make changes to this bug.